Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class Apriori

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.Apriori

    public class Apriori

extends SingleCSOperator

Version:
  $Id: Apriori.java,v 1.9 2006/09/27 14:59:55 euler Exp $
Author:
  Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`Apriori()`

Method Summary
`protected Column` | `createM4Column(BaseAttribute outputBA, Columnset newCS, java.lang.String newColumnName)` Method to create new M4 column objects.
`protected Columnset` | `createSingleColumnSet(int index)` This method contains the control structure of this operator.
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart)` This method is only implemented for the java compiler, it is never called.
`BaseAttribute` | `getConclusionBA()` Parameter getter.
`BaseAttribute` | `getCustomerIdBa()` Parameter getter.
`BaseAttribute` | `getItemBa()` Parameter getter.
`double` | `getMinConfidence()` Parameter getter.
`long` | `getMinSupport()` Parameter getter.
`BaseAttribute` | `getPremiseBA()` Parameter getter.
`long` | `getSampleSize()` Parameter getter.
`BaseAttribute` | `getTransIdBa()` Parameter getter.
`java.lang.String` | `getTypeOfNewColumnSet()` This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.
`protected boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` This method is for operators that do not copy all Features of the input concept to the output concept.

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createStatement, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Apriori

    public Apriori()

Method Detail

### createSingleColumnSet

    protected Columnset createSingleColumnSet(int index)
                                       throws M4CompilerError

  This method contains the control structure of this operator.

  Overrides:
    `createSingleColumnSet` in class `ConceptOperator`
  Parameters:
    `index` - For MultipleCSOperators, the number of the columnset to be created, starting with 0. For SingleCSOperators, this parameter must be -1.
  Returns:
    A new Columnset object.
  Throws:
    `M4CompilerError`
  See Also:
    `ConceptOperator.createSingleColumnSet(int)`

### createM4Column

    protected Column createM4Column(BaseAttribute outputBA,
                                    Columnset newCS,
                                    java.lang.String newColumnName)
                             throws M4CompilerError

  Method to create new M4 column objects.

  Parameters:
    `outputBA` - the base attribute of the output concept the new column should belong to
    `newCS` - the new ColumnSet created by the operator
    `newColumnName` - the name of the new column
  Returns:
    the new Column
  Throws:
    `M4CompilerError`

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet()

  Description copied from class: `SingleCSOperator`
  This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.

  Specified by:
    `getTypeOfNewColumnSet` in class `SingleCSOperator`
  Returns:
    The type of the new Columnset, either "V" or "T".
  See Also:
    `SingleCSOperator.getTypeOfNewColumnSet()`

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart)
                                           throws M4CompilerError

  This method is only implemented for the java compiler, it is never called.

  Specified by:
    `generateSQLDefinition` in class `SingleCSOperator`
  Parameters:
    `selectPart` - The SQL string between "SELECT" and "FROM" for the SQL definition to be returned.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
  See Also:
    `SingleCSOperator.generateSQLDefinition(String)`

### mustCopyFeature

    protected boolean mustCopyFeature(java.lang.String nameOfFeature)
                               throws M4CompilerError

  Description copied from class: `ConceptOperator`
  This method is for operators that do not copy all Features of the input concept to the output concept.

  Specified by:
    `mustCopyFeature` in class `ConceptOperator`
  Parameters:
    `nameOfFeature` - Name of the feature in question.
  Returns:
    TRUE if this feature should be copied to the output concept, FALSE if not.
  Throws:
    `M4CompilerError`
  See Also:
    `ConceptOperator.mustCopyFeature(String)`

### getCustomerIdBa

    public BaseAttribute getCustomerIdBa()
                                  throws M4CompilerError

  Parameter getter.

  Returns:
    BaseAttribute as specified by paramter "CustID"
  Throws:
    `M4CompilerError`

### getTransIdBa

    public BaseAttribute getTransIdBa()
                               throws M4CompilerError

  Parameter getter.

  Returns:
    BaseAttribute as specified by paramter "TransID"
  Throws:
    `M4CompilerError`

### getItemBa

    public BaseAttribute getItemBa()
                            throws M4CompilerError

  Parameter getter.

  Returns:
    BaseAttribute as specified by parameter "Item"
  Throws:
    `M4CompilerError`

### getMinSupport

    public long getMinSupport()
                       throws M4CompilerError

  Parameter getter.

  Returns:
    value of parameter "MinSupport"
  Throws:
    `M4CompilerError`

### getMinConfidence

    public double getMinConfidence()
                            throws M4CompilerError

  Parameter getter.

  Returns:
    value of parameter "MinConfidence"
  Throws:
    `M4CompilerError`

### getSampleSize

    public long getSampleSize()
                       throws M4CompilerError

  Parameter getter.

  Returns:
    value of parameter "SampleSize"
  Throws:
    `M4CompilerError`

### getPremiseBA

    public BaseAttribute getPremiseBA()
                               throws M4CompilerError

  Parameter getter.

  Returns:
    BaseAttribute as specified by parameter "PremiseBA"
  Throws:
    `M4CompilerError`

### getConclusionBA

    public BaseAttribute getConclusionBA()
                                  throws M4CompilerError

  Parameter getter.

  Returns:
    BaseAttribute as specified by parameter "ConclusionBA"
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005